/*
 * Copyright (C) 2020, KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
#include "kadbusoperator.h"
#include <QDBusConnection>

KADBusOperator::KADBusOperator(QObject *parent)
    : QObject{parent}
{
    QDBusConnection::sessionBus().unregisterService("com.kylin.aiassistant");
    QDBusConnection::sessionBus().registerService("com.kylin.aiassistant");
    QDBusConnection::sessionBus().registerObject("/com/kylin/aiassistant", "com.kylin.aiassistant", this, QDBusConnection::ExportNonScriptableSlots | QDBusConnection::ExportAllProperties);
}

KADBusOperator::~KADBusOperator()
{

}

void KADBusOperator::setModel()
{
    Q_EMIT sigSetup();
}
